<script setup lang="ts">
import { defineProps, defineEmits, computed } from 'vue'
import { type Promotion } from '@/types/Promotion'
import PromotionCard from './PromotionCard.vue'
import { usePromotionStore } from '@/stores/promotion'

const promotionStore = usePromotionStore()
const props = defineProps<{
  promotions: Promotion[]
}>()

const emit = defineEmits<{
  selectedPromotions: [Promotion]
}>()

const selected = async function (promotion: Promotion) {
  console.log('ProductList: ' + promotion.id)
  if (promotionStore.checkstate(promotion)) {
    emit('selectedPromotions', promotion)
  } else {
    console.log('Promotion not eligible')
  }
}
</script>

<template>
  <div style="height: 600px; overflow-y: auto">
    <v-container>
      <v-row>
        <v-col cols="6" md="" v-for="item of props.promotions" :key="item.id">
          <PromotionCard
            :class="promotionStore.checkstate(item) === true ? 'enableCard' : 'disebleCard'"
            :promotion="item"
            @selectedPromotions="selected"
          ></PromotionCard>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
<style scoped>
.disebleCard {
  background-color: rgb(159, 213, 238);
  opacity: 0.1;
}

.enableCard {
  background-color: rgb(159, 213, 238);
}
</style>
